draugr.metrics.metric\_aggregator.MetricAggregator
==================================================



.. currentmodule:: draugr.metrics.metric_aggregator

.. autoclass:: MetricAggregator
   :members:
   :show-inheritance:
   :inherited-members:

   
   .. automethod:: __init__

   
   .. rubric:: Methods

   .. autosummary::
   
      ~MetricAggregator.__init__
      ~MetricAggregator.add
      ~MetricAggregator.append
      ~MetricAggregator.calc_moving_average
      ~MetricAggregator.calc_running_value
      ~MetricAggregator.save
   
   

   
   
   .. rubric:: Attributes

   .. autosummary::
   
      ~MetricAggregator.max
      ~MetricAggregator.measures
      ~MetricAggregator.min
      ~MetricAggregator.values
   
   